**Figure 11a:** Corner plot illustrating posterior on the mean and std. deviation of the BBH `chi_eff` distribution.

##### Data

This figure is created by reading posterior samples stored in:
[Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json)

##### Reading and plotting data

Relevant parameters can be accessed from the above file as follows:
```python
>>> import json
>>> with open("Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json","r") as jf:
...     samples = json.load(jf)
...
>>> samples.keys()
[u'sigma_eff', u'sigma_p', u'mu_eff', u'corr', u'mu_p']

>>> mean_chi_eff = samples['mu_eff']
>>> std_chi_eff = samples['sigma_eff']
```

**Figure 11b:** Comparison of recovered `chi_eff` distributions using `Default` vs. `Gaussian` spin models

##### Data

Figure uses precomputed data stored in [Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/default-spin-xeff-xp-ppd-data.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/default-spin-xeff-xp-ppd-data.json) and [Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppd-data.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppd-data.json)

These files are, in turn, generated using the raw posterior samples from [Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json) and [Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json) using the following two ipython notebooks:
* https://git.ligo.org/thomas-callister/o3a-spin-studies/-/blob/master/Postprocessing/Spin-PPDs-and-PPCs.ipynb
* https://git.ligo.org/thomas-callister/o3a-spin-studies/-/blob/master/Postprocessing/package-samples.ipynb

##### Reading data

Data can be accessed as described in [Figures_and_Tables/Fig-9-ChiP-SigmaT/README.md](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Fig-9-ChiP-SigmaT/README.md)
